Welcome to SkydioPilots.com
Sign up and join the discussion!
Sign up

New Update (battery etc) & Samsung S6/App

dmac1

Well-known member
Joined
Dec 7, 2020
Messages
70
Reaction score
23
Heads up for anyone still using an S6 like I was. Operative word....WAS. :(

The most recent update makes it so the app no longer works, so you can't use the S6 any more. I wish I'd have known before I updated my drone, but there was no warning about the impact of the update. I'd rather be able to use my S6 than have the new update features.

Frankly, I'm guessing Skydio didn't know, but I am not sure. I raised the issue with them this afternoon, but have yet to hear back. I uninstalled the Skydio2 app from my S6 trying to update it, and now I can't re-download it. Apparently Google Play store only shows you apps that work on your device cuz I can see it on my S21. I also see no way to reinstall it to my S6 from the app store like some 'how tos' say ya can.
 

dmac1

Well-known member
Joined
Dec 7, 2020
Messages
70
Reaction score
23
Maybe this thread will help someone avoid the same problem I experienced, Got a reply from Skydio at 8:39 last night. They said their update requires Android 9.0 and the newest a S6 can run is 7.0, so I'm, SOL. The S6 is now useless.

Some of ya may say, Dave, the S6 is ancient, get a new phone. Well, I have one, but since the S6 worked for flying my drone, I didn't do a phone exchange awhile back and I recently bought some QuadLock attachments so I could run the phone on the bars of my bike. $$ thrown away. I don't wanna run my S21 on my bars (too much risk) and my S21 is a pain to squeeze in the pocket of my Klim fanny pack cuz its bigger.

Main point is, it wasn't disclosed what the impact of doing the update would be. I was kinda excited to see the enhancements....not so much now.

It is what it is...
 

VEGASROBBI

Well-known member
Joined
Oct 26, 2019
Messages
371
Reaction score
215
Definitely a bummer. We've seen device compatibility issues since the 3dr solo and early Phantoms.

Screenshot_20211021-074048_Chrome.jpg
 
  • Like
Reactions: dmac1

dmac1

Well-known member
Joined
Dec 7, 2020
Messages
70
Reaction score
23
I wonder when they posted that. I didn't know to check, or where to check....the 'help' respondent last night told me google's play store says that their app requires android 9.0, which helps me none at all when the app doesn't show up in the play store on my S6.

I get it....things change, my phone was old....just frustrating that after owning the drone for nearly 2 years, and finally being able to use it, that the phone that worked with it all along all of a sudden won't work.
 

Ridefreak

Well-known member
Wiki Editor
Joined
Nov 20, 2019
Messages
613
Reaction score
354
I wonder when they posted that. I didn't know to check, or where to check....the 'help' respondent last night told me google's play store says that their app requires android 9.0, which helps me none at all when the app doesn't show up in the play store on my S6.

I get it....things change, my phone was old....just frustrating that after owning the drone for nearly 2 years, and finally being able to use it, that the phone that worked with it all along all of a sudden won't work.
I feel for ya Dave, software updates have driven hardware upgrades for the last 30 years.
 
  • Like
Reactions: dmac1

Latest threads

Members online

No members online now.

Forum statistics

Threads
966
Messages
7,452
Members
1,307
Latest member
SLYDWAYS